org.wildfly.swarm.config.management.security_realm

## Class LdapAuthentication<T extends LdapAuthentication<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.management.security_realm.LdapAuthentication<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LdapAuthentication<T extends LdapAuthentication<T>>
      extends HashMap

  Configuration to use LDAP as the user repository.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LdapAuthentication.LdapAuthenticationResources` Child mutators for LdapAuthentication

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LdapAuthentication()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `advancedFilter()` The fully defined filter to be used to search for the user based on their entered user ID.
    `T` | `advancedFilter(String value)` The fully defined filter to be used to search for the user based on their entered user ID.
    `Boolean` | `allowEmptyPasswords()` Should empty passwords be accepted from the user being authenticated.
    `T` | `allowEmptyPasswords(Boolean value)` Should empty passwords be accepted from the user being authenticated.
    `String` | `baseDn()` The base distinguished name to commence the search for the user.
    `T` | `baseDn(String value)` The base distinguished name to commence the search for the user.
    `T` | `byAccessTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `byAccessTimeCache(ByAccessTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache()` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCache value)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheConsumer consumer)` A cache to hold the results of previous LDAP interactions.
    `T` | `bySearchTimeCache(BySearchTimeCacheSupplier supplier)` A cache to hold the results of previous LDAP interactions.
    `String` | `connection()` The name of the connection to use to connect to LDAP.
    `T` | `connection(String value)` The name of the connection to use to connect to LDAP.
    `String` | `getKey()`
    `Boolean` | `recursive()` Whether the search should be recursive.
    `T` | `recursive(Boolean value)` Whether the search should be recursive.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `LdapAuthentication.LdapAuthenticationResources` | `subresources()`
    `String` | `userDn()` The name of the attribute which is the user's distinguished name.
    `T` | `userDn(String value)` The name of the attribute which is the user's distinguished name.
    `String` | `usernameAttribute()` The name of the attribute to search for the user.
    `T` | `usernameAttribute(String value)` The name of the attribute to search for the user.
    `String` | `usernameLoad()` The name of the attribute that should be loaded from the authenticated users LDAP entry to replace the username that they supplied, e.g.
    `T` | `usernameLoad(String value)` The name of the attribute that should be loaded from the authenticated users LDAP entry to replace the username that they supplied, e.g.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### LdapAuthentication

          public LdapAuthentication()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public LdapAuthentication.LdapAuthenticationResources subresources()

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### bySearchTimeCache

          public T bySearchTimeCache(BySearchTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCache value)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheConsumer consumer)

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache()

      A cache to hold the results of previous LDAP interactions.

    - #### byAccessTimeCache

          public T byAccessTimeCache(ByAccessTimeCacheSupplier supplier)

      A cache to hold the results of previous LDAP interactions.

    - #### advancedFilter

          public String advancedFilter()

      The fully defined filter to be used to search for the user based on their entered user ID. The filter should contain a variable in the form {0} - this will be replaced with the username supplied by the user.

    - #### advancedFilter

          public T advancedFilter(String value)

      The fully defined filter to be used to search for the user based on their entered user ID. The filter should contain a variable in the form {0} - this will be replaced with the username supplied by the user.

    - #### allowEmptyPasswords

          public Boolean allowEmptyPasswords()

      Should empty passwords be accepted from the user being authenticated.

    - #### allowEmptyPasswords

          public T allowEmptyPasswords(Boolean value)

      Should empty passwords be accepted from the user being authenticated.

    - #### baseDn

          public String baseDn()

      The base distinguished name to commence the search for the user.

    - #### baseDn

          public T baseDn(String value)

      The base distinguished name to commence the search for the user.

    - #### connection

          public String connection()

      The name of the connection to use to connect to LDAP.

    - #### connection

          public T connection(String value)

      The name of the connection to use to connect to LDAP.

    - #### recursive

          public Boolean recursive()

      Whether the search should be recursive.

    - #### recursive

          public T recursive(Boolean value)

      Whether the search should be recursive.

    - #### userDn

          public String userDn()

      The name of the attribute which is the user's distinguished name.

    - #### userDn

          public T userDn(String value)

      The name of the attribute which is the user's distinguished name.

    - #### usernameAttribute

          public String usernameAttribute()

      The name of the attribute to search for the user. This filter will then perform a simple search where the username entered by the user matches the attribute specified here.

    - #### usernameAttribute

          public T usernameAttribute(String value)

      The name of the attribute to search for the user. This filter will then perform a simple search where the username entered by the user matches the attribute specified here.

    - #### usernameLoad

          public String usernameLoad()

      The name of the attribute that should be loaded from the authenticated users LDAP entry to replace the username that they supplied, e.g. convert an e-mail address to an ID or correct the case entered.

    - #### usernameLoad

          public T usernameLoad(String value)

      The name of the attribute that should be loaded from the authenticated users LDAP entry to replace the username that they supplied, e.g. convert an e-mail address to an ID or correct the case entered.

Copyright © 2017 JBoss by Red Hat. All rights reserved.